Summary:        Encoding and decoding of base64/quoted-printable strings
Name:           perl-MIME-Base64
Version:        3.16
Release:        5%{?dist}
License:        (GPL+ or Artistic) and MIT
URL:            https://metacpan.org/dist/MIME-Base64
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/MIME-Base64-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl-generators
BuildRequires:  perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl-devel perl(strict) perl(warnings) 
BuildRequires:  perl(Exporter) perl(XSLoader) perl(File::Spec)
BuildRequires:  perl(Encode)  perl(Test) perl(Test::More)

%description
This module provides functions to encode and decode strings into and 
from the base64/quoted-printable encoding specified in RFC 2045 - 
MIME (Multipurpose Internet Mail Extensions). 


%prep
%autosetup -n MIME-Base64-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%optflags"
%{make_build}


%install
%{make_install}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc README Changes
%{perl_vendorarch}/auto/MIME/Base64/Base64.so
%{perl_vendorarch}/MIME/*.pm
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.16-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.16-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.16-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug  2 2022 doriscchao <doriscchao@tencent.com> - 3.16-1
- initial build, Version 3.16, Release 1
